Skip to main content
GET
/
compliance
/
aml
/
history
AML histories
curl --request GET \
  --url https://api.onswitch.xyz/compliance/aml/history \
  --header 'x-service-key: <api-key>'
import requests

url = "https://api.onswitch.xyz/compliance/aml/history"

headers = {"x-service-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};

fetch('https://api.onswitch.xyz/compliance/aml/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "AML lookup history fetched successfully",
  "timestamp": "2026-05-13T22:06:37.088Z",
  "data": {
    "data": [
      {
        "status": "REJECTED",
        "reference": "18a51cca-ed07-4a74-b1b7-03cceab33e23",
        "details": {
          "subject": {
            "type": "INDIVIDUAL",
            "country": "NG",
            "name": "tinubu bola",
            "is_sandbox": false
          },
          "matches": [
            {
              "certainty": 92,
              "name": "Bola Ahmed Tinubu",
              "flags": [
                "PEP"
              ],
              "last_updated": "2024-10-11T12:50:30"
            },
            {
              "certainty": 83,
              "name": "Bola Ahmed Tinubu Gcfr",
              "flags": [
                "PEP"
              ],
              "last_updated": "2026-04-26T13:01:02"
            }
          ]
        },
        "created_at": "2026-05-13T21:44:33.170Z",
        "updated_at": "2026-05-13T21:44:33.170Z"
      }
    ],
    "page": 1,
    "limit": 10,
    "total": 1,
    "pages": 1
  }
}
{
"success": false,
"message": "amount must be greater than 0 for the selected corridor",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": null
}

Authorizations

x-service-key
string
header
required

Service key for API authentication

Query Parameters

status
enum<string>

Filter by status

Available options:
PENDING,
REJECTED,
APPROVED,
REVIEW
category
enum<string>

Filter by category

Available options:
INDIVIDUAL,
BUSINESS,
CRYPTO_WALLET

Filter by reference

Maximum string length: 200
start_date
string

Filter by start date e.g 2026-01-01

end_date
string

Filter by end date e.g 2026-01-01

page
integer
default:1

Results page number. Default 1.

Required range: x >= 1
limit
integer
default:10

Results per page. Default 10, maximum 100.

Required range: 1 <= x <= 100

Response

AML lookup history retrieved successfully

success
boolean
required
message
string
required
timestamp
string<date-time>
required
data
object
required